nvJPEG 12.3.5.92 headers

By using the software you agree to comply with the terms of the [license](https://gitlab.com/nvidia/headers/cuda/nvjpeg/-/blob/main/LICENSE) agreement 
that accompanies the software. 

If you do not agree to the terms of the license agreement, do not use the software.

If you are downloading the headers as part of an automated build, output to the log the following text before you 'git clone':

`The following command will download NVIDIA proprietary software. By using the software you agree to comply with the terms of the license agreement that accompanies the software. If you do not agree to the terms of the license agreement, do not use the software.`
